package com.test;

import javax.swing.JFrame;
import javax.swing.JPanel;

import com.steema.teechart.TChart;
import com.steema.teechart.drawing.Color;
import com.steema.teechart.styles.Bar;
import com.steema.teechart.styles.Line;
import com.steema.teechart.styles.StringList;

import com.steema.teechart.styles.MultiBars;

public class JoanthanTestInTeechart {
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		JFrame frame = new JFrame();
		JPanel panel = new JPanel();
		panel.setSize(600, 600);
		TChart chart = new TChart();
		panel.add(chart);
		
		StringList labelsList;
		
		Bar blueSeries = new Bar(chart.getChart());
		blueSeries.setMultiBar(MultiBars.SIDE);
		blueSeries.add(0, 10, "A");
		labelsList = new StringList(1);
		labelsList.add(0, "10");		
		blueSeries.setLabels(labelsList);
		blueSeries.getMarks().setVisible(true);
		blueSeries.setTitle("blue series");
		
		Bar redSeries = new Bar(chart.getChart());
		redSeries.setMultiBar(MultiBars.SIDE);
		redSeries.add(0, 20, "A");
		labelsList = new StringList(1);
		labelsList.add(0, "20");
		redSeries.setLabels(labelsList);
		redSeries.getMarks().setVisible(true);
		redSeries.setTitle("red series");
		
		//custom x label
		chart.getAxes().getBottom().getCustomLabels().clear();
		chart.getAxes().getBottom().getCustomLabels().add(0.0, "A");

		chart.getAspect().setView3D(false);
		
		frame.add(panel);
		frame.setSize(600, 600);
		frame.setVisible(true);
	}
}
